cURL
curl --request POST \
--url https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/secret-references \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"auth_config": {
"aws_auth_type": "accessKey",
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>",
"aws_region": "<string>"
},
"secret_path": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"secret_key": "<string>",
"allow_all_workspaces": true,
"allowed_workspaces": [
"<string>"
],
"tags": {}
}
'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/secret-references"
payload = {
"name": "<string>",
"auth_config": {
"aws_auth_type": "accessKey",
"aws_access_key_id": "<string>",
"aws_secret_access_key": "<string>",
"aws_region": "<string>"
},
"secret_path": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"description": "<string>",
"secret_key": "<string>",
"allow_all_workspaces": True,
"allowed_workspaces": ["<string>"],
"tags": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
auth_config: {
aws_auth_type: 'accessKey',
aws_access_key_id: '<string>',
aws_secret_access_key: '<string>',
aws_region: '<string>'
},
secret_path: '<string>',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slug: '<string>',
description: '<string>',
secret_key: '<string>',
allow_all_workspaces: true,
allowed_workspaces: ['<string>'],
tags: {}
})
};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/admin/v2/secret-references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"object": "secret-reference"
}Create secret reference
POST
/
secret-references
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 255Available options:
aws_sm, azure_kv, hashicorp_vault - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
Maximum string length:
1024Maximum string length:
255Pattern:
^[a-zA-Z0-9_-]+$Maximum string length:
1024Maximum string length:
255Minimum array length:
1Show child attributes
Show child attributes
Last modified on September 18, 2026
Was this page helpful?

